ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToLlvm.Ppr

Description

Pretty print helpers for the LLVM Code generator.

Synopsis

- pprLlvmCmmDecl :: LlvmCmmDecl -> LlvmM (SDoc, [LlvmVar])
- pprLlvmData :: LlvmCgConfig -> LlvmData -> SDoc
- infoSection :: String

# Documentation

pprLlvmCmmDecl :: LlvmCmmDecl -> LlvmM (SDoc, [LlvmVar]) Source #

Pretty print LLVM code

pprLlvmData :: LlvmCgConfig -> LlvmData -> SDoc Source #

Pretty print LLVM data code

infoSection :: String Source #

The section we are putting info tables and their entry code into, should be unique since we process the assembly pattern matching this.